<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmMsgType Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmMsgType Enumeration

Visual Basic
C#
C++/CLI
Types of messages sent to a user.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmMsgType
       Inherits System.Enum

C# |
--- | ---

    public enum EdmMsgType : System.Enum

C++/CLI |
--- | ---

    public enum class EdmMsgType : public System.Enum

# Members

Member | Description
--- | ---
EdmMsgType_ExternalNotification | 4 = The message is an external notification
EdmMsgType_FileNotification | 2 = The message is a file notification
EdmMsgType_FolderNotification | 3 = The message is a folder notification
EdmMsgType_Invalid | 0 = Invalid message (internal error code)
EdmMsgType_UserMessage | 1 = The message is a file notification

# See Also

####

EPDM.Interop.epdm Namespace
IEdmMessage5::MessageType